## Install
```shell
npm install workstand-platform -S
```

## Quick Start
``` javascript
import Vue from 'vue'
import BmlWorkstandPlatform from 'workstand-platform'

Vue.use(BmlWorkstandPlatform)

// or
import {
  Select,
  Button
  // ...
} from 'bml-workstand-ui'

Vue.component(Select.name, Select)
Vue.component(Button.name, Button)
```

## Browser Support
Modern browsers and Internet Explorer 10+.

## Development
Skip this part if you just want to use Element.

## Changelog

##  ENV
node : v13.8.0

## Build
1. npm run dist : 编译发布包
2. npm publish : 修改发布

## LICENSE
[MIT](LICENSE)
