'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 系统环境变量，变量通过调用端注入
 */
exports.default = {

    config: {
        server: 'http://localhost:3002',
        fetchUrl: 'http://localhost:3002/image/fetch?file='
    },

    // ----------------------------------------
    // 用户编号
    // ----------------------------------------
    token: function token() {
        return sessionStorage.getItem("access-token");
    },


    // ----------------------------------------
    // 用户编号
    // ----------------------------------------
    userId: function userId() {
        return sessionStorage.getItem("account");
    },


    // ----------------------------------------
    // 用户代码
    // ----------------------------------------
    userCode: function userCode() {
        return sessionStorage.getItem("account-code");
    },


    // ----------------------------------------
    // 用户编号
    // ----------------------------------------
    userName: function userName() {
        return sessionStorage.getItem("account-name");
    },


    // ----------------------------------------
    // 所在企业编号
    // ----------------------------------------    
    corporationId: function corporationId() {
        return sessionStorage.getItem("corp");
    },


    // ----------------------------------------
    // 所在企业代码
    // ----------------------------------------    
    corporationCode: function corporationCode() {
        return sessionStorage.getItem("corp-code");
    },


    // ----------------------------------------
    // 所在企业名称
    // ----------------------------------------    
    corporationName: function corporationName() {
        return sessionStorage.getItem("corp-name");
    },

    // ----------------------------------------
    // 所在组织编号
    // ----------------------------------------    
    orgId: function orgId() {
        return sessionStorage.getItem("org");
    },

    // ----------------------------------------
    // 所在组织代码
    // ----------------------------------------    
    orgCode: function orgCode() {
        return sessionStorage.getItem("org-code");
    },

    // ----------------------------------------
    // 所在组织名称
    // ----------------------------------------    
    orgName: function orgName() {
        return sessionStorage.getItem("org-name");
    },


    // ----------------------------------------
    // 系统权限
    // ----------------------------------------    
    permissions: function permissions() {
        return sessionStorage.getItem("permission");
    }
};