module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 38);
/******/ })
/************************************************************************/
/******/ ({

/***/ 1:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 38:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/frame/src/frame-navbar.vue?vue&type=template&id=bb11a43e&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { staticClass: "sdp-frame-navbar" }, [
    _vm.collapseable
      ? _c(
          "div",
          {
            staticClass: "sdp-frame-navbar__hambuger",
            on: { click: _vm.onCollapse }
          },
          [
            _c(
              "bml-tooltip",
              {
                staticClass: "tooltip",
                attrs: {
                  effect: "dark",
                  content: _vm.collapsed ? "折叠" : "展开",
                  placement: "top-start"
                }
              },
              [
                _c(
                  "svg",
                  {
                    staticClass: "icon",
                    class: { "is-active": _vm.collapsed },
                    attrs: {
                      viewBox: "0 0 1024 1024",
                      xmlns: "http://www.w3.org/2000/svg",
                      width: "64",
                      height: "64"
                    }
                  },
                  [
                    _c("path", {
                      attrs: {
                        d:
                          "M408 442h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm-8 204c0 4.4 3.6 8 8 8h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56zm504-486H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 632H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM142.4 642.1L298.7 519a8.84 8.84 0 0 0 0-13.9L142.4 381.9c-5.8-4.6-14.4-.5-14.4 6.9v246.3a8.9 8.9 0 0 0 14.4 7z"
                      }
                    })
                  ]
                )
              ]
            )
          ],
          1
        )
      : _vm._e(),
    _vm.$slots.prefix
      ? _c(
          "div",
          { staticClass: "sdp-frame-navbar__prefix" },
          [_vm._t("prefix")],
          2
        )
      : _vm._e(),
    _c(
      "div",
      { staticClass: "sdp-frame-navbar__content" },
      [
        _vm._t(
          "default",
          [
            _vm.breadcrumbs
              ? _c(
                  "bml-breadcrumb",
                  {
                    staticClass: "sdp-frame-navbar__breadcrumb",
                    attrs: { separator: "/" }
                  },
                  [
                    _c(
                      "transition-group",
                      { attrs: { name: "breadcrumb" } },
                      _vm._l(_vm.breadcrumbs, function(item) {
                        return _c("bml-breadcrumb-item", { key: item.title }, [
                          _c("span", [_vm._v(_vm._s(item.title))])
                        ])
                      }),
                      1
                    )
                  ],
                  1
                )
              : _vm._e()
          ],
          { data: _vm.breadcrumbs }
        )
      ],
      2
    ),
    _c(
      "div",
      { staticClass: "sdp-frame-navbar__action-bar" },
      [
        _vm._t("action-bar", [
          _c(
            "bml-tooltip",
            {
              staticClass: "tooltip",
              attrs: {
                effect: "dark",
                content: "关闭当前应用",
                placement: "top-start"
              }
            },
            [
              _c("bml-link-menu", {
                attrs: { icon: "bml-icon-poweroff" },
                on: { click: _vm.onCloseApplication }
              })
            ],
            1
          ),
          _vm.menuList
            ? _c("bml-link-menu", {
                attrs: { menus: _vm.menuList, icon: "el-icon-menu" },
                on: { "menu-click": _vm.onMenuClick }
              })
            : _vm._e()
        ])
      ],
      2
    )
  ])
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/frame/src/frame-navbar.vue?vue&type=template&id=bb11a43e&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/frame/src/frame-navbar.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


/* harmony default export */ var frame_navbarvue_type_script_lang_js_ = ({
    name: 'sdp-frame-navbar',
    props: {
        collapseable: {
            type: Boolean,
            default: false
        },
        breadcrumbList: {
            type: Array,
            default: undefined
        },
        app: {
            type: Object,
            default: undefined
        },
        menuList: {
            type: Array,
            default: undefined
        }
    },
    watch: {
        $route: function $route(route) {
            this.loadBreadcrumbs(route);
        }
    },
    data: function data() {
        return {
            collapsed: true,
            breadcrumbs: []
        };
    },
    created: function created() {
        if (this.breadcrumbList) {
            if (this.breadcrumbList.length > 0) {
                this.breadcrumbs = this.breadcrumbs.concat(this.breadcrumbList);
            }
        } else {
            this.loadBreadcrumbs(this.$route);
        }
    },

    methods: {
        loadBreadcrumbs: function loadBreadcrumbs(route) {
            var _this = this;

            this.breadcrumbs = [];
            var matcheds = route.matched;

            if (matcheds && matcheds.length > 0) {
                matcheds.forEach(function (item) {
                    if (item) {
                        item.title = item.meta.title;
                        _this.breadcrumbs.push(item);
                    }
                });
            }
        },
        onCollapse: function onCollapse(evt) {
            this.collapsed = !this.collapsed;
            this.$emit('collapse', this.collapsed);
        },
        onCloseApplication: function onCloseApplication(val) {
            this.$emit('close-app', val);
        },
        onMenuClick: function onMenuClick(val) {
            this.$emit('click-menu', val);
        }
    }
});
// CONCATENATED MODULE: ./packages/frame/src/frame-navbar.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_frame_navbarvue_type_script_lang_js_ = (frame_navbarvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(1);

// CONCATENATED MODULE: ./packages/frame/src/frame-navbar.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_frame_navbarvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/frame/src/frame-navbar.vue"
/* harmony default export */ var frame_navbar = (component.exports);
// CONCATENATED MODULE: ./packages/frame-navbar/index.js


/* istanbul ignore next */
frame_navbar.install = function (Vue) {
  Vue.component(frame_navbar.name, frame_navbar);
};

/* harmony default export */ var packages_frame_navbar = __webpack_exports__["default"] = (frame_navbar);

/***/ })

/******/ });