module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 44);
/******/ })
/************************************************************************/
/******/ ({

/***/ 1:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 44:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/user-regist/src/registe.vue?vue&type=template&id=8601ccce&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "sdp-user-regist" },
    [
      _c(
        "bml-form",
        {
          ref: "dataForm",
          attrs: {
            rules: _vm.rules,
            "label-width": "100px",
            size: "medium",
            model: _vm.dataForm
          }
        },
        [
          _c(
            "bml-form-item",
            { attrs: { label: "登录ID", prop: "userId", tips: "" } },
            [
              _c("bml-input", {
                staticStyle: { width: "60%", "min-width": "200px" },
                attrs: { placeholder: "请输入您的登录ID" },
                model: {
                  value: _vm.dataForm.userId,
                  callback: function($$v) {
                    _vm.$set(_vm.dataForm, "userId", $$v)
                  },
                  expression: "dataForm.userId"
                }
              })
            ],
            1
          ),
          _c(
            "bml-form-item",
            { attrs: { label: "姓名", prop: "userName" } },
            [
              _c("bml-input", {
                staticStyle: { width: "60%", "min-width": "200px" },
                attrs: { placeholder: "姓名" },
                model: {
                  value: _vm.dataForm.userName,
                  callback: function($$v) {
                    _vm.$set(_vm.dataForm, "userName", $$v)
                  },
                  expression: "dataForm.userName"
                }
              })
            ],
            1
          ),
          _c(
            "bml-form-item",
            { attrs: { label: "登录密码", prop: "password" } },
            [
              _c("bml-input", {
                staticStyle: { width: "60%", "min-width": "200px" },
                attrs: { type: "password", placeholder: "请输入登录密码" },
                model: {
                  value: _vm.dataForm.password,
                  callback: function($$v) {
                    _vm.$set(_vm.dataForm, "password", $$v)
                  },
                  expression: "dataForm.password"
                }
              })
            ],
            1
          ),
          _c(
            "bml-form-item",
            { attrs: { label: "密码确认", prop: "repassword" } },
            [
              _c("bml-input", {
                staticStyle: { width: "60%", "min-width": "200px" },
                attrs: { type: "password", placeholder: "请再次输入登录密码" },
                model: {
                  value: _vm.dataForm.repassword,
                  callback: function($$v) {
                    _vm.$set(_vm.dataForm, "repassword", $$v)
                  },
                  expression: "dataForm.repassword"
                }
              })
            ],
            1
          ),
          _c(
            "bml-form-item",
            { attrs: { label: "性别", prop: "gender" } },
            [
              _c(
                "bml-radio",
                {
                  attrs: { label: 1 },
                  model: {
                    value: _vm.dataForm.gender,
                    callback: function($$v) {
                      _vm.$set(_vm.dataForm, "gender", $$v)
                    },
                    expression: "dataForm.gender"
                  }
                },
                [_vm._v("男")]
              ),
              _c(
                "bml-radio",
                {
                  attrs: { label: 2 },
                  model: {
                    value: _vm.dataForm.gender,
                    callback: function($$v) {
                      _vm.$set(_vm.dataForm, "gender", $$v)
                    },
                    expression: "dataForm.gender"
                  }
                },
                [_vm._v("女")]
              )
            ],
            1
          ),
          _c(
            "bml-form-item",
            { attrs: { label: "手机号", prop: "tel" } },
            [
              _c("bml-input", {
                staticStyle: { width: "60%", "min-width": "200px" },
                attrs: { placeholder: "手机号" },
                model: {
                  value: _vm.dataForm.tel,
                  callback: function($$v) {
                    _vm.$set(_vm.dataForm, "tel", $$v)
                  },
                  expression: "dataForm.tel"
                }
              })
            ],
            1
          ),
          _c(
            "bml-form-item",
            { attrs: { label: "邮件", prop: "email" } },
            [
              _c("bml-input", {
                staticStyle: { width: "60%", "min-width": "200px" },
                attrs: { placeholder: "邮件" },
                model: {
                  value: _vm.dataForm.email,
                  callback: function($$v) {
                    _vm.$set(_vm.dataForm, "email", $$v)
                  },
                  expression: "dataForm.email"
                }
              })
            ],
            1
          ),
          _c("bml-form-item", [
            _c(
              "div",
              { staticStyle: { display: "flex", "flex-direction": "row" } },
              [
                _c("bml-checkbox", { attrs: { val: "0", checked: "" } }),
                _c("span", { staticStyle: { "margin-left": "10px" } }, [
                  _vm._v("我同意并遵守\n                    "),
                  _c(
                    "a",
                    {
                      attrs: {
                        href: "http://www.dalibeans.com.cn",
                        target: "_blank"
                      }
                    },
                    [_vm._v("《会员服务协议》")]
                  )
                ])
              ],
              1
            )
          ]),
          _c(
            "bml-form-item",
            [
              _c(
                "bml-button",
                {
                  attrs: { type: "primary" },
                  on: {
                    click: function($event) {
                      _vm.submitForm("dataForm")
                    }
                  }
                },
                [_vm._v("注 册")]
              )
            ],
            1
          )
        ],
        1
      )
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/user-regist/src/registe.vue?vue&type=template&id=8601ccce&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/user-regist/src/registe.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var registevue_type_script_lang_js_ = ({
    name: 'sdp-user-regist',
    data: function data() {
        return {
            dataForm: {
                userId: '',
                userName: '',
                password: '',
                repassword: '',
                tel: '',
                img: '',
                email: '',
                gender: 1
            },
            rules: {
                userId: [{ required: true, message: '请输入用户编号', trigger: 'blur' }, { min: 3, max: 20, message: '长度在 3 到 20 个字符', trigger: 'blur' }],
                userName: [{ required: true, message: '请输入姓名', trigger: 'blur' }],
                password: [{ required: true, message: '请输入密码', trigger: 'blur' }, { min: 6, max: 20, message: '长度在 6 到 20 个字符', trigger: 'blur' }],
                repassword: [{ required: true, message: '请输入确认密码', trigger: 'blur' }],
                gender: [{ required: true, message: '请输入性别', trigger: 'blur' }],
                tel: [{ required: true, message: '请输入电话', trigger: 'blur' }],
                email: [{ required: true, message: '请输入邮件', trigger: 'blur' }]
            }
        };
    },

    methods: {
        submitForm: function submitForm(formName) {
            this.$refs[formName].validate(function (valid) {
                if (valid) {} else {
                    return false;
                }
            });
        }
    }
});
// CONCATENATED MODULE: ./packages/user-regist/src/registe.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_registevue_type_script_lang_js_ = (registevue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(1);

// CONCATENATED MODULE: ./packages/user-regist/src/registe.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_registevue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/user-regist/src/registe.vue"
/* harmony default export */ var registe = (component.exports);
// CONCATENATED MODULE: ./packages/user-regist/index.js


/* istanbul ignore next */
registe.install = function (Vue) {
  Vue.component(registe.name, registe);
};

/* harmony default export */ var user_regist = __webpack_exports__["default"] = (registe);

/***/ })

/******/ });