import Vue from 'vue'

/**
 * 系统环境变量，变量通过调用端注入
 */
export default {

    config: {
        server: 'http://localhost:3002',
        fetchUrl: 'http://localhost:3002/image/fetch?file='
    },
    
    // ----------------------------------------
    // 用户编号
    // ----------------------------------------
    token(){
        return sessionStorage.getItem("access-token");
    },

    // ----------------------------------------
    // 用户编号
    // ----------------------------------------
    userId(){
        return sessionStorage.getItem("account");
    },
    
    // ----------------------------------------
    // 用户代码
    // ----------------------------------------
    userCode(){
        return sessionStorage.getItem("account-code");
    },
    
    // ----------------------------------------
    // 用户编号
    // ----------------------------------------
    userName(){
        return sessionStorage.getItem("account-name");
    },

    // ----------------------------------------
    // 所在企业编号
    // ----------------------------------------    
    corporationId(){
        return sessionStorage.getItem("corp");
    },

    // ----------------------------------------
    // 所在企业代码
    // ----------------------------------------    
    corporationCode(){
        return sessionStorage.getItem("corp-code");
    },

    // ----------------------------------------
    // 所在企业名称
    // ----------------------------------------    
    corporationName(){
        return sessionStorage.getItem("corp-name");
    },
    // ----------------------------------------
    // 所在组织编号
    // ----------------------------------------    
    orgId(){
        return sessionStorage.getItem("org");
    },
    // ----------------------------------------
    // 所在组织代码
    // ----------------------------------------    
    orgCode(){
        return sessionStorage.getItem("org-code");
    },
    // ----------------------------------------
    // 所在组织名称
    // ----------------------------------------    
    orgName(){
        return sessionStorage.getItem("org-name");
    },

    // ----------------------------------------
    // 系统权限
    // ----------------------------------------    
    permissions(){
        return sessionStorage.getItem("permission");
    }

}